Get all servers
curl --request GET \
--url https://api.example.com/api/servers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"modelFile": {
"id": "<string>",
"name": "<string>",
"localPath": "<string>",
"isDownloaded": true,
"quantization": "<string>"
},
"serverConfig": {
"modelFileName": "<string>",
"apiParams": {},
"loadParams": {},
"inferParams": {},
"logsDir": "<string>"
},
"server": {
"host": "<string>",
"port": 123
},
"tag": "<string>",
"serverProcessId": 123,
"id": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Get all servers
GET
/
api
/
servers
Get all servers
Authorizations
Enter your API key here
Query Parameters
Filter servers by model file ID
Filter servers by tag
Filter servers by port
Filter servers by host
Filter servers by status
Available options:
running, stopped, starting, stopping, errored, unavailable Response
List of servers retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I